# Class SketchesException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.datasketches.common.SketchesException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SketchesArgumentException, SketchesNotSupportedException, SketchesReadOnlyException, SketchesStateException`

public class SketchesException extends RuntimeException
Exception class for the library

Author:
  Lee Rhodes
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SketchesException(String message)`
Constructs a new runtime exception with the specified detail message.
`SketchesException(String message, Throwable cause)`
Constructs a new runtime exception with the specified detail message and cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SketchesException

public SketchesException(String message)
Constructs a new runtime exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to Throwable.initCause(java.lang.Throwable).

Parameters:
  `message` - the detail message. The detail message is saved for later retrieval by the Throwable.getMessage() method.

### SketchesException

public SketchesException(String message, Throwable cause)
Constructs a new runtime exception with the specified detail message and cause.

Note that the detail message associated with cause is not automatically incorporated in this runtime exception's detail message.

Parameters:
  `message` - the detail message (which is saved for later retrieval by the Throwable.getMessage() method).
  `cause` - the cause (which is saved for later retrieval by the Throwable.getCause() method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)